package com.winter.hello;

import android.content.Context;
import android.widget.Toast;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * HelloPlugin
 */
public class HelloPlugin implements MethodCallHandler {

    private Context mContext;

    public HelloPlugin(Context mContext) {
        this.mContext = mContext;
    }

    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar registrar) {
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "hello");
        channel.setMethodCallHandler(new HelloPlugin(registrar.context()));
    }

    @Override
    public void onMethodCall(MethodCall call, Result result) {
        if (call.method.equals("getPlatformVersion")) {
            result.success("Winter : Android " + android.os.Build.VERSION.RELEASE);
        } else if (call.method.equals("getWinterDescription")) {
            //调用原生弹出吐司
            Toast.makeText(mContext, "winter is very good", Toast.LENGTH_SHORT).show();
            result.success("Winter is a super handsome man .");
        } else {
            result.notImplemented();
        }
    }
}
